Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class DefaultCellEditor.EditorDelegate

    java.lang.Object
      |
      +--javax.swing.DefaultCellEditor.EditorDelegate

All Implemented Interfaces:
  ActionListener, EventListener, ItemListener, Serializable

Enclosing class:
  DefaultCellEditor

protected class DefaultCellEditor.EditorDelegate
extends Object
implements ActionListener, ItemListener, Serializable

See Also:
  Serialized Form

Field Summary
`protected Object` | `value`

Constructor Summary
`protected` | `DefaultCellEditor.EditorDelegate()`

Method Summary
`void` | `actionPerformed(ActionEvent e)` Invoked when an action occurs.
`void` | `cancelCellEditing()`
`Object` | `getCellEditorValue()`
`boolean` | `isCellEditable(EventObject anEvent)`
`void` | `itemStateChanged(ItemEvent e)` Invoked when an item has been selected or deselected.
`void` | `setValue(Object value)`
`boolean` | `shouldSelectCell(EventObject anEvent)`
`boolean` | `startCellEditing(EventObject anEvent)`
`boolean` | `stopCellEditing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected Object value

Constructor Detail

### DefaultCellEditor.EditorDelegate

    protected DefaultCellEditor.EditorDelegate()

Method Detail

### getCellEditorValue

    public Object getCellEditorValue()

### setValue

    public void setValue(Object value)

### isCellEditable

    public boolean isCellEditable(EventObject anEvent)

### shouldSelectCell

    public boolean shouldSelectCell(EventObject anEvent)

### startCellEditing

    public boolean startCellEditing(EventObject anEvent)

### stopCellEditing

    public boolean stopCellEditing()

### cancelCellEditing

    public void cancelCellEditing()

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Description copied from interface: `ActionListener`
  Invoked when an action occurs.
  Specified by:
    `actionPerformed` in interface `ActionListener`

### itemStateChanged

    public void itemStateChanged(ItemEvent e)

  Description copied from interface: `ItemListener`
  Invoked when an item has been selected or deselected. The code written for this method performs the operations that need to occur when an item is selected (or deselected).
  Specified by:
    `itemStateChanged` in interface `ItemListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.